List Event Fields - m3ter Documentation
List Event Fields
cURL
curl --request GET \
--url https://api.m3ter.com/organizations/{orgId}/events/fields \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.m3ter.com/organizations/{orgId}/events/fields"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/events/fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Response Codes
- 200 : Success
- 4XX : Client Errors
- 5XX : Server Errors
Response Sample
{
"events": {
"configuration.commitment.created": {
"new.accountCode": "string",
"new.accountId": "string",
"new.accountingProductId": "string",
"new.amount": "double",
"new.amountFirstBill": "double",
"new.amountPrePaid": "double",
"new.amountSpent": "double",
"new.billEpoch": "string",
"new.billingInterval": "int",
"new.billingOffset": "int",
"new.billingPlanId": "string",
"new.commitmentFeeBillInAdvance": "boolean",
"new.commitmentFeeDescription": "string",
"new.commitmentUsageDescription": "string",
"new.contractId": "string",
"new.currency": "string",
"new.customFields": "map",
"new.endDate": "string",
"new.feeDates": "array",
"new.id": "string",
"new.overageDescription": "string",
"new.overageSurchargePercent": "double",
"new.productIds": "array",
"new.startDate": "string"
}
}
}
Authorization
- Authorization: String, header, required
- m3ter supports machine to machine authentication using the
clientCredentials OAuth2 flow.
Path Parameters
- orgId: String, required, unique identifier (UUID) of your Organization.
Query Parameters
- eventName: String, name of the specific Event Type to filter.